diff -u -r qradiopredict-0.8.8/QRadioPredict/shpreader.cpp qradiopredict-0.8.8-patched/QRadioPredict/shpreader.cpp
--- qradiopredict-0.8.8/QRadioPredict/shpreader.cpp	2014-02-24 07:56:11.000000000 +0000
+++ qradiopredict-0.8.8-patched/QRadioPredict/shpreader.cpp	2016-03-20 21:04:43.097658012 +0000
@@ -104,9 +104,15 @@
     OGRRegisterAll();
     QString file = name;
     file.append(".shp");
-    OGRDataSource       *poDS;
 
+#if GDAL_VERSION_MAJOR < 2
+    OGRDataSource       *poDS;
     poDS = OGRSFDriverRegistrar::Open( file.toStdString().c_str(), FALSE );
+#else
+    GDALDataset       *poDS;
+    poDS = (GDALDataset*) OGROpen( file.toStdString().c_str(), FALSE, NULL );
+#endif
+
     if( poDS == NULL )
     {
         qDebug() << "Shapefile opening failed: " << name;
@@ -119,7 +125,11 @@
     if(poLayer == NULL)
     {
         qDebug() << "Shapefile layer is fubar: " << poLayer->GetName();
+#if GDAL_VERSION_MAJOR < 2
         OGRDataSource::DestroyDataSource( poDS );
+#else
+        GDALClose( (GDALDatasetH) poDS );
+#endif
         return QString("None");
     }
 
@@ -171,7 +181,11 @@
                     qDebug() << "Using GEOS for: " << terrain_type;
                     delete [] buffer;
                     OGRFeature::DestroyFeature( poFeature );
+#if GDAL_VERSION_MAJOR < 2
                     OGRDataSource::DestroyDataSource( poDS );
+#else
+                    GDALClose( (GDALDatasetH) poDS );
+#endif
                     return terrain_type;
                 }
                 delete[] buffer;
@@ -233,7 +247,11 @@
                 if(poly)
                     delete poly;
                 OGRFeature::DestroyFeature( poFeature );
+#if GDAL_VERSION_MAJOR < 2
                 OGRDataSource::DestroyDataSource( poDS );
+#else
+                GDALClose( (GDALDatasetH) poDS );
+#endif
                 return terrain_type;
             }
 
@@ -255,7 +273,11 @@
             {
                 //qDebug() << terrain_type;
                 OGRFeature::DestroyFeature( poFeature );
+#if GDAL_VERSION_MAJOR < 2
                 OGRDataSource::DestroyDataSource( poDS );
+#else
+                GDALClose( (GDALDatasetH) poDS );
+#endif
                 return terrain_type;
             }
             */
@@ -267,7 +289,11 @@
         OGRFeature::DestroyFeature( poFeature );
     }
 
+#if GDAL_VERSION_MAJOR < 2
     OGRDataSource::DestroyDataSource( poDS );
+#else
+    GDALClose( (GDALDatasetH) poDS );
+#endif
 
     return QString("None");
 }
